Delete Feature
curl --request POST \
--url https://api.telegent.com/v1.0/subscriptions/features/delete \
--header 'Content-Type: application/json' \
--data '
{
"FeatureId": "FEID-00000001-0000-0000-0000-000000000001"
}
'import requests
url = "https://api.telegent.com/v1.0/subscriptions/features/delete"
payload = { "FeatureId": "FEID-00000001-0000-0000-0000-000000000001" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({FeatureId: 'FEID-00000001-0000-0000-0000-000000000001'})
};
fetch('https://api.telegent.com/v1.0/subscriptions/features/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"FeatureId": "FEID-00000001-0000-0000-0000-000000000001",
"FeatureStatus": "Deleted"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Subscriptions
Delete Feature
Permanently delete a feature by its FeatureId. Deleting a feature also removes all of its assignments from associated subscriptions.
What this does: Returns a deletion confirmation. Subscriptions previously assigned this feature will lose access to the capability it provided.
Next steps:
- Create a replacement feature —
POST /v1.0/subscriptions/features/add
POST
/
v1.0
/
subscriptions
/
features
/
delete
Delete Feature
Body
application/jsontext/jsonapplication/*+json
Delete_Feature_Request object
ID of the feature to delete (FEID-).
Example:
"FEID-00000001-0000-0000-0000-000000000001"
Response
Feature deleted
The response is of type object.
⌘I